$(function(e) {

	//$('*').click(function(){alert(this.tagName+' ; '+this.className)})

	$('img[@src$=.png]').pngfix();

	// Gestion du menu 'secteurs' en home
		$("#home_menu li.home_menu_secteur").find(".home_menu_texteSecteur").hide().end().hover(function(){
			$(this).find(".home_menu_texteSecteur").not(':visible').show();
		},function(){
			$(this).find(".home_menu_texteSecteur").filter(':visible').hide();
		}).focus(function(){
			$(this).find(".home_menu_texteSecteur").not(':visible').show();
		});
	// Fin gestion menu 'secteurs'

	// gestion puce triangle menu gauche
	// Fleche jaune
	if ($('.mission').size()>0){
		$("#navigation > div > ul > li > ul > li.on").each(function(){

			if ($(this).find("> ul").size() == 0)
				$(this).css('list-style', 'url(/design/oseo_ergov1/images/puce_menu_left_mission_n2.gif)');
		});
	}
	// fleche rouge
	if ($('.projets').size()>0 || $('.partenaires').size()>0 || $('.alaune').size()>0  ){
		$("#navigation > div > ul > li > ul > li.on").each(function(){
			if ($(this).find("> ul").size() == 0)
				$(this).css('list-style', 'url(/design/oseo_ergov1/images/puce_menu_left_projet_n2.gif)');
		});
	}
	/*
	$(".mission #navigation ul > li li.on").each(function(){

		if ($(this).find("ul").size() == 0){
		//if ($("body.mission #navigation ul > li.on > ul > li.on").size() > 0)
			//$("body.mission #navigation ul > li.on > ul > li.on").css('list-style', 'url(/design/oseo_ergov1/images/puce_menu_left_mission_n2.gif)');
		}
	});*/

	/* recallage de l'annexe pour les page satellite */
	if ($('.satellite').size()>0){
		$('#titre_satellite').find("img").each(function(){
			var hauteur = $(this).height()+"px";
			$(this).parent().parent().find("#annexes").css('margin-top',"-"+hauteur);
		});
	}


	// MENU
	/*
	$('#menu li').not('.on').each(function(){
		$(this).switchImage(">a, >ul","img");
	});*/
	$("#menu > li > ul").each(function(){$(this).find('li:last').css('border','none');});
	$("#menu > li").mouseover(function(e){
		$(this).find('>ul').show();
		var src=$(this).find('>a > img ').attr('src');
		if ($(this).attr('class')=="off") $(this).find('>a > img ').attr('src',src.replace('_off','_on'));
	}).mouseout(function(e){
		$(this).find('>ul').hide();
		var src=$(this).find('>a > img ').attr('src');
		if ($(this).attr('class')=="off")	$(this).find('>a > img ').attr('src',src.replace('_on','_off'));
	});

	// Ajout de l'animation flash 'oseo en bref'
/*	if ($("#oseo_en_bref").size()==0) {
		$("#oseoEnBref a").one("click", function(){$("body").append('<div id="oseo_en_bref"><object width="500" height="375" type="application/x-shockwave-flash" data="_media/swf/oseo_bref.swf"><param name="movie"    value="_media/swf/oseo_bref.swf"/><param name="quality" value="high"/><param name="scale"   value="exactfit"/><param name="salign"  value="t"/><param name="wmode"   value="transparent"/></object></div>');});
	}*/
	// Ajout de l'animation falsh 'oseo en bref'
	if ($("#oseo_en_bref").size()==0)
		$("#oseoEnBref a").one("click", function(){$("body #conteneur").after('<div id="oseo_en_bref"><object width="800" height="600" type="application/x-shockwave-flash" data="/design/oseo/images/oseo_bref.swf"><param name="movie"    value="/design/oseo/images/oseo_bref.swf"/><param name="quality" value="high"/><param name="scale"   value="exactfit"/><param name="salign"  value="t"/><param name="wmode"   value="transparent"/></object></div>');});

	// OSEO en bref
	// Voir aussi la fonction closeDiv
	$("#oseoEnBref a").click(function(){
		$("#logo a").focus();
		$("#oseo_en_bref").show();
		$('#footer').hide();
		$("select").hide();
		return false;
	});


	// Menu gauche SelectBox page projet
	$('#projetMenu').change(function(){window.location=$('#projetMenu').val();});

	// Gestion menu : si un seul li dans le sous menu, on lui applique la classe 'on'
	$("#menu ul").each(function(){
		var liArray = $(this).find(">li");
		if(liArray.size()==1) liArray.filter(".no_redirect_children").addClass("on");
	});

	// Gestion FAQ //
		$("#contenu .listeFAQ > li").find("*").not("h3.titreFaq").hide().end().end().find("h3.titreFaq").hover(function(){
			$(this).css('color','#eb0438');
		},function(){
			$(this).css('color','');
		}).css('cursor','pointer').toggle(function() {
			$(this).addClass('open').parent().find("*").not("h3.titreFaq").slideDown();
		},function() {
			$(this).removeClass('open').parent().find("*").not("h3.titreFaq").slideUp();
		});
	// Fin gestion FAQ //

	// Recherche avancé temoignage
	if ($('#recherchePE_id').size()>0){
		function displaySect(object){
			if(object.val() >= 100 ){
				$('#secteurAppli_id').css('display', 'block');
				$('#secteurInno_id').css('display', 'none');
				$('#labelSecteurInno').attr('for', 'secteurAppli_id');
			}
			else{
				$('#secteurAppli_id').css('display', 'none');
				$('#secteurInno_id').css('display', 'block');
				$('#labelSecteurInno').attr('for', 'secteurInno_id');
			}
		}

		// Affichage des secteurs en fonction des mega secteur
		$('select#megaSect_id').each( function(){
			displaySect($(this));
		}).change( function(){
			displaySect($(this));
		});

		function displayPartType(object){
			if(object.val() == 1 ){
				$('#typePart_id').css('display', 'block');
				$('#labelTypePart').css('display', 'block');
			}
			else{
				$('#typePart_id').css('display', 'none');
				$('#labelTypePart').css('display', 'none');
			}
		}
		// Affichage du type de partenariat si France info est sectionné
		$('select#temType_id').each( function(){
			displayPartType($(this));
		}).change( function(){
			displayPartType($(this));
		});
	}


	// fin Recherche avancé temoignage

	// Etapes de la création : bordures //
	$("#contenu p.etape:first").css('borderTop','1px solid #D7D3D2');
	$("#contenu p.etape:last").css({borderBottom: '1px solid #D7D3D2', marginBottom: '1em'});


	// On égalise les hauteurs des '#listeSousRubriques h2' //
	$("#listeSousRubriques h2").adjustSize();

	// Positionnement droite/gauche des li de liste Sous Rubriques.
	var adjustOptions = {
	  periode: 2,
	  margin_bottom : 25
	}

	var marginRight = '20px';
	if ($.browser.msie)  {
			var adjustOptions = {
			  periode: 2,
			  margin_bottom : 0
			}
			var marginRight = '12px';
	}

	$("#listeSousRubriques > li").filter(":odd").css('marginRight','0').end().filter(":even").css('marginRight',marginRight).end().find('>a').adjustSize(adjustOptions);

	// On retire la bordure haute de deux encarts qui se suivent.
	$("#annexes .encart ").each(function() {
		if ($(this).next().is(".encart")) $(this).css('marginBottom','0');
	});

	// Bordure sur les collectionResults des résultats du moteur, sauf le premier
	$(".collectionResults").not(":first").css('borderTop', '2px solid #7c6e6b');

	// On vide les champs des formulaires au premier click
	$("#bourseTransmissionLogin input[@type=text]").one("click", function(){this.value = ''; });
	$("#bourseTransmissionLogin input[@type=password]").one("click", function(){this.value = ''; });
	$("#newsletterEmail").one("click", function(){this.value = ''; });
	$("#email").one("click", function(){this.value = ''; });
	$("#rechercheAvanceeInput").one("click", function(){this.value = ''; });
	$("#recherche").one("click", function(){this.value = ''; });
	$("#sup_email").one("click", function(){this.value = ''; });


/*	// Menu gauche statellite
	if ($(".profiloseo").size() == 0 ) {
		$("body.satellite").find("#navigation > ul > li").not("ul.profiloseo").children("div").hide().end().click(function(){
			// On remet toutes les images à off
			$(this).parent().find('>li').each(function() {
				if ($(this).find(">a >img").attr('src').lastIndexOf('_off') == -1){
					$(this).find(">a >img").attr('src', $(this).find(">a >img").attr('src').replace('.png', '_off.png'));
				}
			});
			// On met l'image cliquée à on
			$(this).find("img").attr('src', $(this).find("img").attr('src').replace('_off', ''));
			// On deplie le sous menu
			$(this).parent().find("> li").removeClass("on").find("> div:visible").hide();
			$(this).addClass("on").find("> div:hidden").show();
		});
	}
*/
	// Code temporaire pour palier à l'oubli de l'image de fin de cadre.
	$("#annexes .encart > div").each(function(){
		if (!$(this).find(".bloc_image_bas").length) {
			$(this).append('<img class="bloc_image_bas" src="/design/oseo/images/encart_bas.gif" alt="" width="257" height="18" />');
			if (window.console) console.error("image bloc_image_bas ajouté dans l'encart");
		}
	});

	// Controle formulaire contact
	$("#ContactForm").find("p[input#email]").after('<p>\n<label for="verif2_mail">Confirmez votre E-mail<span class="champObligatoire">*</span></label>\n<input id="verif2_mail" type="text" class="text"/>\n</p>').end().submit(function() {
		return verifForm();
	});

	// Gestion select Access Clients
	$("#accesClientsSelect").change(function(){
		if (this.selectedIndex > 0) window.open(this.options[this.selectedIndex].value,'accesclients'+this.selectedIndex);
	});


	// Contrôles du formulaire d'enregistrement de compte
	var CheckedForm=$("#registerForm, #userEditForm");
	$("#user_account_username", CheckedForm).parent().hide();
	if (CheckedForm.size() != 0) {
		CheckedForm.submit(function() {
			var errors='';
			var UserNameValue        = $("#user_account_username",     CheckedForm).val();
			var UserPassValue        = $("#user_account_pass",         CheckedForm).val();
			var UserPassConfirmValue = $("#user_account_pass_confirm", CheckedForm).val();
			var UserMailValue        = $("#user_account_mail",         CheckedForm).val();
			var RegionValue          = $("#region",                    CheckedForm).val();
			var SecteurActiviteValue = $("#sect_acti",                 CheckedForm).val();
			var DefinitionValue       = $("#definition",               CheckedForm).val();

			// On remplit le user name avec l'adresse email.
			//if (UserNameValue=='') errors = errors+"Le nom d'usager doit être renseigné.\n\n";
			if (UserNameValue=='') $("#user_account_username", CheckedForm).val(UserMailValue);
			if (UserMailValue == '') errors = errors+"	Vous devez indiquer un courriel.\n\n";
			if (UserPassValue=='') errors = errors+"	Le mot de passe doit être renseigné.\n\n";
			if (UserPassConfirmValue=='') errors = errors+"	Le mot de passe doit être confirmé.\n\n";
			if (UserPassValue != '' && UserPassConfirmValue!='' && UserPassValue != UserPassConfirmValue) errors = errors+"	Le mot de passe doit être identique dans le champ mot de passe et dans le champ de confirmation.\n\n";
			if (UserMailValue != '' && !isEmail(UserMailValue)) errors = errors+"	Le courriel indiqué est mal écrit.\n\n";
			if (RegionValue == '' || RegionValue == '0') errors = errors+"	La région n'est pas renseignée.\n\n";
			if (SecteurActiviteValue == '') errors = errors+"	Le secteur d'activité n'est pas renseigné.\n\n";
			if (DefinitionValue == '') errors = errors+"	Vous n'avez pas indiqué qui vous êtes.\n\n";

			if (errors) {
				alert("\nIl y a des erreurs dans le formulaire !\n\n\n"+errors);
				return false;
			}
			return true;
		});
	}

	$('#CancelButtonId').click(function() {
		location.href="/";
	});

	// Formulaire Informations investisseur
	var InfosInvestisseurForm=$("#InfosInvestisseurForm");
	InfosInvestisseurForm.submit(function(){
		var errors='';
		var societeValue    = $("#societe",    InfosInvestisseurForm).val();
		var addressValue    = $("#address",    InfosInvestisseurForm).val();
		var cpValue         = $("#cp",         InfosInvestisseurForm).val();
		var cityValue       = $("#city",       InfosInvestisseurForm).val();
		var telValue        = $("#tel",        InfosInvestisseurForm).val();
		var nb_investValue  = $("#nb_invest",  InfosInvestisseurForm).val();
		var invest_minValue = $("#invest_min", InfosInvestisseurForm).val();
		var invest_maxValue = $("#invest_max", InfosInvestisseurForm).val();

		if (societeValue=='') errors = errors+"	Vous devez indiquer le nom de votre société\n\n";
		if (addressValue=='') errors = errors+"	Vous devez indiquer l'adresse de votre société\n\n";
		if (cpValue=='') errors = errors+"	Vous devez indiquer le code postal de votre société\n\n";
		if (cityValue=='') errors = errors+"	Vous devez indiquer la ville où est située votre société\n\n";
		if (telValue=='') errors = errors+"	Vous devez indiquer le numéro de téléphone de votre société\n\n";
		if (nb_investValue=='') errors = errors+"	Vous devez indiquer le nombre de nouveaux investissements que vous comptez faire\n\n";
		if (invest_minValue=='') errors = errors+"	Vous devez indiquer un inverstissement minimal\n\n";
		if (invest_minValue!='' && isNaN(invest_minValue)) errors = errors+"	L'investissement minimum doit être un chiffre entier\n\n";
		if (invest_maxValue=='') errors = errors+"	Vous devez indiquer un inverstissement maximal\n\n";
		if (invest_maxValue!='' && isNaN(invest_maxValue)) errors = errors+"	L'investissement maximum doit être un chiffre entier\n\n";

		var selects         = $("select",      InfosInvestisseurForm);
		var selectsLength   = selects.size();
		var oneSelect       = 0;
		var i               = 0;

		while (i<selectsLength && oneSelect==0) {
			select = selects.get(i);
			if (select.options.selectedIndex > -1) oneSelect = 1
			i++;
		}

		if (oneSelect == 0) errors = errors+"	Vous devez choisir au moins un domaine d'investissement\n\n";

		if (errors) {
			alert("\nIl y a des erreurs dans le formulaire !\n\n\n"+errors);
			return false;
		}
		return true;

	});

	// Formulaires Agents de veille
	var formAgentsDeVeille=$("#formAgentsDeVeille");
	if (formAgentsDeVeille.size() != 0) {
		var formAgentsDeVeilleInputs = $("table input[@type=text]", formAgentsDeVeille);
		var formAgentsDeVeilleSelects = $("table select", formAgentsDeVeille);
		var formAgentsDeVeilleEmailSelects = $("p select", formAgentsDeVeille);
		var hasSubscribed = $("#check_veille", formAgentsDeVeille);
		if (!hasSubscribed.get(0).checked) {
			formAgentsDeVeilleInputs.attr(  "disabled", "disabled" );
			formAgentsDeVeilleSelects.attr( "disabled", "disabled" );
			formAgentsDeVeilleEmailSelects.attr( "disabled", "disabled" );
		} else {
			formAgentsDeVeilleInputs.each(function(){
				if ($(this).val()=='')
					$(this).parents("tr").find("select").attr( "disabled", "disabled" );
			});
		}
		hasSubscribed.click(function(){
			if (!hasSubscribed.get(0).checked) {
				formAgentsDeVeilleInputs.attr(  "disabled", "disabled" );
				formAgentsDeVeilleSelects.attr( "disabled", "disabled" );
				formAgentsDeVeilleEmailSelects.attr( "disabled", "disabled" );
			} else {
				formAgentsDeVeilleInputs.removeAttr( "disabled" ).each(function(){
					if (this.value!='') $(this).parents("tr").find("select").removeAttr( "disabled" );
				});
				formAgentsDeVeilleEmailSelects.removeAttr( "disabled" );
			}
		});
		formAgentsDeVeilleInputs.change(function(){
			if ($(this).val()!='')
				$(this).parents("tr").find("select").removeAttr( "disabled" );
			else
				$(this).parents("tr").find("select").attr( "disabled", "disabled" );
		});
	}

	// Gestion du roll Over du logoutLink
	$('#logoutLink img').hover(function(){
		$(this).attr('src','/design/oseo/images/deconnection_on.png');
	},function(){
		$(this).attr('src','/design/oseo/images/deconnection.png');
	});


	// Correction des bugs d'IE 6
	if ($.browser.msie && (navigator.appVersion.indexOf("MSIE 7.") < 0)) {

		$("#annexes .encart > div").css({
			background: "url(/design/oseo_ergov1/images/encart_centre.gif) repeat-y",
			marginTop: "3px",
			padding: "1px 5px 0 20px",
			zoom: "1"
		});
		$("#annexes .encart + .encart").css('background','none');

		$("#pageRecherche").find("#contenu h1 + .blocResultats h2").css('borderTop','none');

		// Pas de bordure sur le premier li du footer.
		$("#footer_menu li:first-child").css({border: 'none', paddingLeft: '1.5em', position: 'relative'});

		// Emulation du 'position: fixed' pour IE6
		$("#conteneur_footer").css('position','absolute');
		$(window).scroll(function(){ $("body").each(function(){
			$("#conteneur_footer").css('top',(document.documentElement.scrollTop+document.documentElement.clientHeight-52)+'px');
		});}).resize(function(){ $("body").each(function(){
			$("#conteneur_footer").css('top',(document.documentElement.scrollTop+document.documentElement.clientHeight-52)+'px');
		});});
	}
	// Correction des bugs d'IE tout court
	if ($.browser.msie) {
		//Rendre clicables les images qui sont dans des 'a > h2 > img'. Non, ce n'est pas propre//
		$("#listeSousRubriques > li > a > h2 > img").css('cursor','pointer').click(function(){
			window.location=$(this).parents("a").attr("href");
		});
	}

	/* gere les mailtos */
	if (!$.browser.safari)
	{
		$("#outils a[@href^=mailto:]").each(function(){
			var tabs=this.getAttribute('href').split("=");
			var sujet=tabs[1].split("&")[0];
			var body=tabs[2];
			this.setAttribute('href',"mailto:?subject="+escape(sujet)+"&body="+escape(body));
		});
	}


	/* Form contact deuxieme version */
	$('#topContact li').find('ul').hide().end().find('input').click(
		function(){
			$(this).parent('li').siblings('li').find('>ul').hide().end().removeClass('hover').find('>input').attr('checked','').end().end().end().attr('checked','checked');
			if ($(this).parent('li').find('>ul').size() == 0) {
				$('#contact_feedback_form').appendTo($(this).parent('li')).css("display","block");
				$("#client,#innovation,#creation,#web,#financement").hide();
				var ar=0;
				var akio="";
				var typeForm="";
				if ($(this).attr('rel'))
				{
					var rels=$(this).attr('rel').split(',');
					for(var i=0;i<rels.length;i++)
					{
						if (rels[i]=="ar")
						{
							ar=1;
						}else if(rels[i].indexOf("akio_")==0)
						{
							var tmp=rels[i].split('_');
							akio=tmp[1];
						}
						else{
							typeForm=rels[i];
							$('#'+typeForm).slideDown();
						}
					}
				}
				$('#ar').val(ar);
				$('#contact_feedback_form_akio').val(akio);
				$('#contact_feedback_form_type').val(typeForm);
				$('#contact_feedback_form_rubrique').val($(this).val());
				$(this).parent('li').addClass('hover');
			}
			else
			{
					$(this).parent('li').addClass('hover');

					$(this).parent('li').find('>ul').slideDown().find('>li').removeClass('hover').find('>input').attr('checked','');
					$('#contact_feedback_form:visible').hide();
					$(this).parent('li').focus();
			}
		}
	);

	$('#contact_feed_form_form').submit(
		function() {
		try {
			var type=document.getElementById('contact_feedback_form_type').value;
			/* Standard */
			var courriel=document.getElementById('contact_feedback_form_email').value;
			var courriel_confirm=document.getElementById('contact_feedback_form_email_confirm').value;
			var cp=document.getElementById('contact_feedback_form_cp').value;
			var objet=document.getElementById('contact_feedback_form_objet').value;
			var message=document.getElementById('contact_feedback_form_message').value;

			/* Client */
			var client_ref_oseo=document.getElementById('contact_feedback_form_client_ref_oseo').value;
			var client_siren=document.getElementById('contact_feedback_form_client_siren').value;

			/* Financement */
			var financement_siren=document.getElementById('contact_feedback_form_fin_siren').value;
			var financement_besoin_global=document.getElementById('contact_feedback_form_fin_besoin_eleve').value;
			var financement_apport=document.getElementById('contact_feedback_form_fin_apport').value;

			/* Web */
			var web_url=document.getElementById('contact_feedback_form_web_url_site').value;

			if (courriel.length<=0) { alert("Vous devez renseigner votre courriel."); return false; }
			if (!isEmail(courriel)) { alert("Le courriel saisi n'est pas syntaxiquement correct."); return false; }
			if (courriel!=courriel_confirm) { alert("Les deux courriels saisis ne correspondent pas."); return false; }
			if (cp.length<=0) { alert("Vous devez renseigner votre code postal."); return false; }


			switch(type)
			{
				case "client":
					if (client_ref_oseo.length<=0) { alert("Vous devez renseigner votre référence OSEO."); return false; }
					if ((client_siren.length<9)||(client_siren.search(/^([0-9])*$/i)==-1)) { alert("Vous devez renseigner un numéro de SIREN valide."); return false; }
				break;
				case "creation":
				break;
				case "innovation":
				break;
				case "financement":
					if ((financement_siren.length<9)||(financement_siren.search(/^([0-9])*$/i)==-1)) { alert("Vous devez renseigner un numéro de SIREN valide."); return false; }
					if (financement_besoin_global.length<=0) { alert("Vous devez renseigner votre besoin global."); return false; }
					if (financement_apport.length<=0) { alert("Vous devez renseigner votre apport."); return false; }

					if (financement_besoin_global.search(/^([0-9])*$/i)==-1) { alert("Vous devez renseigner un besoin global valide."); return false; }
					if (financement_apport.search(/^([0-9])*$/i)==-1) { alert("Vous devez renseigner un apport valide."); return false; }

				break;
				case "web":
					if (web_url.length<=0) { alert("Vous devez renseigner l'url du site."); return false; }
				break;
			}

			if (objet.length<=0) { alert("Vous devez renseigner l'objet de votre demande."); return false; }
			var checkNumber=($('#ar').val()>0)?75:10;
			if (message.length<=(checkNumber-1)) { alert("Le message que vous allez envoyer doit contenir au minimum "+checkNumber+" caractères. ("+(checkNumber-message.length)+" restants)"); return false; }

		}catch(e) { alert(e); return false;}
			return true;
		}
	);
	try{
	deploieForm();
}catch(e){};
});

function closeDiv() {
	$("#oseo_en_bref").hide();
	$("#footer").show();
	$("select").show();
}

function verifForm()
{
	var mail1=document.getElementById("email");
	var mail2=document.getElementById("verif2_mail");
	var cp=document.getElementById("cp");
	var objet=document.getElementById("objet");
	var texte=document.getElementById("texte");
	var errors ='';

	if (mail1.value.length<=0) errors=errors+"	Merci de saisir un e-mail.\n\n";
	if (mail2.value.length<=0) errors=errors+"	Merci de confirmer votre e-mail.\n\n";
	if (mail2.value.length > 0 && mail1.value != mail2.value ) errors=errors+"	Attention, les deux e-mails ne correspondent pas.\n\n";
	if (cp.value.length<=0) errors=errors+"	Merci de saisir un code postal.\n\n";
	if (cp.value.length>0 && cp.value.length != 5) errors=errors+"	Merci de saisir un code postal à 5 chiffres.\n\n";

	var exp=new RegExp("^([0-9]*)(.{0,1})([0-9]*)$");
	if (cp.value.length=5 && !exp.test(cp.value)) errors=errors+"	Attention, Le code postal doit être en chiffres.\n\n";
	if (objet.value.length<=0) errors=errors+"	Merci de saisir un sujet.\n\n";
	if (texte.value.length<=0) errors=errors+"	Merci de saisir un message.\n\n";
	if(errors!='') {
		errors="Il y a des erreurs dans le formulaire !\n\n\n"+errors;
		alert(errors);
		return false;
	}
	else return true;
}

// Nouvelle fonction jquery de retaillage de blocks
$.fn.adjustSize=function(options) {
	var settings = {
		periode: 2,
		margin_bottom: 0
	};
	if(options) {
		jQuery.extend(settings, options);
	} else options = settings;
	var maxHeightArray = new Array();
	var totalSize = $(this).size();
	var nbPeriodes = Math.ceil(totalSize/options.periode);
	var index = 0;
	$(this).each(function(){
		var blockId = Math.floor(index/options.periode);
		if (!maxHeightArray[blockId]) maxHeightArray[blockId]=0;

		var _h=parseInt($(this).height()+options.margin_bottom);
		//if ($(this).height() > maxHeightArray[blockId])  maxHeightArray[blockId] = $(this).height();
		if ( _h > maxHeightArray[blockId])  maxHeightArray[blockId] = _h;
		//this.offsetHeight
		index++;
	});
	var index = 0;
	$(this).each(function(){
		var blockId = Math.floor(index/options.periode);
		$(this).height(maxHeightArray[blockId]+'px');
		index++;
	});
	return this;
};


// Target est un sélecteur jQuery qui permet d'indiquer quel est l'élement (image ou input) qui doit changer.
// Sa valeur par défaut est '?myself', ce qui indique que l'objet est sa propre cible.

/*
$.fn.switchImage=function(eventTargetSelector, changeTargetSelector, options) {
	var eventTargetSelector, changeTargetSelector, eventTarget, changeTarget;
	if (!eventTargetSelector) eventTargetSelector = '?myself';
	if (!changeTargetSelector) changeTargetSelector = '?myself';
	var settings = {
		stringDefault: '_off',
		stringHover: '_on'
	};
	if (options) {
		jQuery.extend(settings, options);
	}
	if (eventTargetSelector == '?myself') eventTarget=$(this);
	else eventTarget = $(this).find(eventTargetSelector);
	if (changeTargetSelector == '?myself') changeTarget=$(this);
	else changeTarget = $(this).find(changeTargetSelector);
	eventTarget.filter(function(index){
		return (changeTarget.is("input[@type=image][@src]") || changeTarget.is("img[@src]"));
	}).mouseover(function(){switchToHover(changeTarget)}).focus(function(){switchToHover(changeTarget)}).mouseout(function(){switchToDefault(changeTarget)}).blur(function(){switchToDefault(changeTarget)}).pngfix();
	function switchToHover(e) {
		var IeFilter=false;
		if (e.css('filter') && e.css('filter').indexOf('progid:DXImageTransform.Microsoft.AlphaImageLoader') == 0) {
			var IeFilter = true;
			var filter = e.css('filter').replace('progid:DXImageTransform.Microsoft.AlphaImageLoader(','');
			var filterParams = getIeFilterParams(filter);
			var src=filterParams[2];
		}
		else var src = e.attr('src');
		var SrcParamsArray = getSrcParams(src);
		if (SrcParamsArray[1].indexOf(settings.stringDefault) != -1) {
			newSrc = SrcParamsArray[0]+'/'+SrcParamsArray[1].replace(settings.stringDefault, settings.stringHover);
			if (IeFilter) e.css({backgroundImage:'none', filter:"progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled="+filterParams[0]+",sizingMethod="+filterParams[1]+",src='"+newSrc+"'"});
			else e.attr('src',newSrc);
		}
	}

	function switchToDefault(e) {
		var IeFilter=false;
		if (e.css('filter') && e.css('filter').indexOf('progid:DXImageTransform.Microsoft.AlphaImageLoader') == 0) {
			var IeFilter = true;
			var filter = e.css('filter').replace('progid:DXImageTransform.Microsoft.AlphaImageLoader(','');
			var filterParams = getIeFilterParams(filter);
			var src=filterParams[2];
		}
		else var src = e.attr('src');

		var SrcParamsArray = getSrcParams(src);
		if (SrcParamsArray[1].indexOf(settings.stringHover) != -1) {
			newSrc = SrcParamsArray[0]+'/'+SrcParamsArray[1].replace(settings.stringHover, settings.stringDefault);
			if (IeFilter) e.css({backgroundImage:'none', filter:"progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled="+filterParams[0]+",sizingMethod="+filterParams[1]+",src='"+newSrc+"'"});
			else e.attr('src',newSrc);
		}
	}

	function getSrcParams(src) {
		var srcPathSplit = src.split('/');
		var fileName=srcPathSplit.pop();
		var filePath=srcPathSplit.join('/');
		return Array(filePath,fileName);
	}

	function getIeFilterParams(filter) {
		var filterParamArray = filter.split(',');
		var filterEnabled = 'enabled';
		var filterSizingMethod = 'crop';
		var src = '';
		var filterParamArrayElmt = '';
		while(filterParamArrayElmt = filterParamArray.pop()) {
			if (filterParamArrayElmt.indexOf('src=') == 0) src = filterParamArrayElmt.replace("src='","").replace("')","");
			if (filterParamArrayElmt.indexOf('sizingMethod=') == 0) filterSizingMethod = filterParamArrayElmt.replace("sizingMethod=","");
			if (filterParamArrayElmt.indexOf('enabled=') == 0) filterEnabled = filterParamArrayElmt.replace("enabled=","");
		}
		return Array(filterEnabled,filterSizingMethod,src);
	}

	return this;
}*/

$.fn.switchImage=function(eventTargetSelector, changeTargetSelector, options) {
	var eventTargetSelector, changeTargetSelector, eventTarget, changeTarget;
	if (!eventTargetSelector) eventTargetSelector = '?myself';
	if (!changeTargetSelector) changeTargetSelector = '?myself';
	var settings = {
		stringDefault: '_off',
		stringHover: '_on'
	};
	if (options) {
		jQuery.extend(settings, options);
	}
	if (eventTargetSelector == '?myself') eventTarget=$(this);
	else eventTarget = $(this).find(eventTargetSelector);
	if (changeTargetSelector == '?myself') changeTarget=$(this);
	else changeTarget = $(this).find(changeTargetSelector);
	eventTarget.filter(function(index){
		return (changeTarget.is("input[@type=image][@src]") || changeTarget.is("img[@src]"));
	}).mouseover(function(e){
			if (document.all){
				var declencheur=getEvtTarget(e);
				if ((declencheur.tagName=="IMG") || ((declencheur.tagName=="LI")&&(declencheur.getAttribute('id')=="menuMission")) )
					switchToHover(changeTarget);
			}else
				switchToHover(changeTarget);

		}).focus(function(e){switchToHover(changeTarget)}).mouseout(function(e){
			if (document.all){
				var declencheur=getEvtTarget(e);
				if ((declencheur.tagName=="IMG") )
					switchToDefault(changeTarget);
			}else
				switchToDefault(changeTarget);

		}).blur(function(e){switchToDefault(changeTarget)});


	function switchToHover(e) {
		var src = e.attr('src');
		var srcPathSplit = src.split('/');
		var fileName=srcPathSplit.pop();
		var filePath=srcPathSplit.join('/');
		if (fileName.indexOf(settings.stringDefault) != -1) {
			e.attr('src', filePath+'/'+fileName.replace(settings.stringDefault, settings.stringHover));
		}

	}
	function switchToDefault(e) {
		var src = e.attr('src');
		var srcPathSplit = src.split('/');
		var fileName=srcPathSplit.pop();
		var filePath=srcPathSplit.join('/');
		if (fileName.indexOf(settings.stringHover) != -1) {
			e.attr('src', filePath+'/'+fileName.replace(settings.stringHover, settings.stringDefault));
		}


	}

	return this;
}


/***********************/
/***** TAG XITI ********/
/***********************/
function trim(string)
{
	if (string)
	{
		if (string.length>0)
			return string.replace(/(^\s*)|(\s*$)/g,'');
		else
			return "";
	}
	else return "";
}
function initXitiLink(s2)
{
	var as=document.getElementsByTagName('a');
	for(var i=0,taille=as.length;i<taille;i++)
	{
		var a=as[i];
		if (!a.getAttribute("onclick"))
		{
			a.onclick=function() {
				var type="",href="";
				href=this.getAttribute("href");

				//Verification pour savoir si c'est un fichier
				var indicePt=href.lastIndexOf(".");
				var exts=href.substr(indicePt+1,href.length);
				if (
						(exts=="pdf") ||
						(exts=="doc") ||
						(exts=="ppt") ||
						(exts=="rtf") ||
						(exts=="xls") ||
						(exts=="pps") ||
						(exts=="zip") ||
						(exts=="PDF") ||
						(exts=="DOC") ||
						(exts=="PPT") ||
						(exts=="RTF") ||
						(exts=="XLS") ||
						(exts=="ZIP") ||
						(exts=="PPS")
					)
					type="T";

				else
				{
					// si ca commence par HTTP
					if (href.search(/^http/i)!=-1)
					{
						var tab=href.split('/');
						if ( (tab[2].search(/oseo4.novactive.com/i)!=-1)||(tab[2].search(/www.oseo.fr/i)!=-1)||(tab[2].search(/www4.oseo.fr/i)!=-1))
							type="N";
						else
							type="S";
					}else
						type="N";
				}
				var nom=trim(this.getAttribute('title'))
				if ((nom.length<=0)&&(this.firstChild.nodeType==3))
					nom=trim(this.firstChild.nodeValue);
				if (nom.length<=0)
				{
					//verification img
					var imgs=this.getElementsByTagName('img');
					if (imgs.length>0)
					{
						var img=imgs[0];
						var alt=trim(img.getAttribute('alt'));
						var title=trim(img.getAttribute('title'));
						if (alt.length>0)
							nom=alt;
						else
						{
							if (title.length>0)
								nom=title;
							else
								nom="Img: http://www.oseo.fr"+img.getAttribute("src");
						}
					}else
						nom="Dest: "+href;
				}
				if (type=="S")
				{
					xt_med('C',s2,nom,type);
					//alert('C'+"s2="+s2+"nom="+nom+"type="+type);
				}
				if (type=="T")
				{
					var tab=href.split('/');
					//nom=tab[(tab.length-1)];
					xt_med('C',s2,nom,type);
					//alert('C'+"s2="+s2+"nom="+nom+"type="+type);
				}
			}
		}
	}
}

function isEmail(eml) {
	a = eml.search(/^[-a-z0-9_]+([-._]+[-a-z0-9_]+)*@[a-z0-9]([.-]?[a-z0-9])*\.[a-z]{2,4}$/i);
	if(a!=-1)
		return true
	else
		return false
}

/**
 *	 Stop
 */

function cancelBubble(netEvent)
{
    if (document.all)
    {
        window.event.cancelBubble = true;
    }
    else
    {
        netEvent.cancelBubble = true;
    }
}


function getEvtTarget(e) {
		var targ;
		e= e||window.event;
		if (e.target) targ = e.target;
		else if (e.srcElement) targ = e.srcElement;
		if (targ.nodeType == 3) /* defeat Safari bug */ targ = targ.parentNode;
		return targ;
}
/*
 * jQuery pngfix plugin
 * Version 1.3  (18/07/2007)
 * @requires jQuery v1.1.1
 *
 * Examples at: http://khurshid.com/jquery/iepnghack/
 * Copyright (c) 2007 Khurshid M.
 * Dual licensed under the MIT and GPL licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl.html
 */
 /**
  *
  * @example
  *
  * $('img[@src$=.png], #panel').iepnghack();
  *
  * @apply hack to all png images and #panel which icluded png img in its css
  *
  * @name pngfix
  * @type jQuery
  * @cat Plugins/Image
  * @return jQuery
  * @author jQuery Community
  */

(function($) {
	/**
	 * helper variables and function
	 */
	var hack = {
		ltie7 : $.browser.msie && /MSIE\s(5\.5|6\.)/.test(navigator.userAgent),
		pixel : '/design/oseo_ergov1/images/pixel.gif',
		filter : function(src) {
			return "progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true,sizingMethod=crop,src='"+src+"')";
		}
	};
	/**
	 * Applies ie png hack to selected dom elements
	 *
	 * $('img[@src$=.png]').iepnghack();
	 * @desc apply hack to all images with png extensions
	 *
	 * $('#panel, img[@src$=.png]').iepnghack();
	 * @desc apply hack to element #panel and all images with png extensions
	 *
	 * @name iepnghack
	 * @type jQuery
	 * @cat Plugins/iepnghack
	 */
	$.fn.pngfix = hack.ltie7 ? function() {
    	return this.each(function() {
			var $$ = $(this);
			if ($$.is('img') || $$.is('input')) { /* hack image tags present in dom */
				$$.css({filter:hack.filter($$.attr('src')), width:$$.width(), height:$$.height()})
				  .attr({src:hack.pixel})
				  .positionFix();
			} else { /* hack png css properties present inside css */
				var image = $$.css('backgroundImage');
				if (image.match(/^url\(["']?(.*\.png)["']?\)$/i)) {
					image = RegExp.$1;
					$$.css({backgroundImage:'none', filter:hack.filter(image)})
					  .positionFix();
				}
			}
		});
	} : function() { return this; };
	/**
	 * Removes any png hack that may have been applied previously
	 *
	 * $('img[@src$=.png]').pngunfix();
	 * @desc revert hack on all images with png extensions
	 *
	 * $('#panel, img[@src$=.png]').iepnghack();
	 * @desc revert hack on element #panel and all images with png extensions
	 *
	 * @name pngunfix
	 * @type jQuery
	 * @cat Plugins/iepnghack
	 */
	$.fn.pngunfix = hack.ltie7 ? function() {
    	return this.each(function() {
			var $$ = $(this);
			var src = $$.css('filter');
			if (src.match(/src=["']?(.*\.png)["']?/i)) { /* get img source from filter */
				src = RegExp.$1;
				if ($$.is('img') || $$.is('input')) {
					$$.attr({src:src}).css({filter:''});
				} else {
					$$.css({filter:'', background:'url('+src+')'});
				}
			}
		});
	} : function() { return this; };
	/**
	 * positions selected item relatively
	 */
	$.fn.positionFix = function() {
		return this.each(function() {
			var $$ = $(this);
			var position = $$.css('position');
			if (position != 'absolute' && position != 'relative') {
				$$.css({position:'relative'});
			}
		});
	};

})(jQuery);